<html>

<head>
<title>Rocky Linux Incoming</title>

<link rel="stylesheet" type="text/css" href="datatables.min.css"/>
<script type="text/javascript" src="jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="datatables.min.js"></script>

</head>

<body>

<h1>Rocky Linux INCOMING</h1>
A list of Red Hat Enterprise Linux code pushes to git.centos.org from the past 45 days.
<p>
The table below lists them, and also lists whether they've been imported and built in Rocky Linux.
<p>
This table is updated once every hour.  It should be accurate, but inconsistencies are possible and output always needs to be verified.
<br /><br />
This page was generated on <b>@@TIMESTAMP@@</b>

<p><br /><br />

<table id="RockyData" class="display">
<thead>
<tr>
  <th style="text-align:left">RHEL Publish Time</th>
  <th style="text-align:left">Git Repository</th>
  <th style="text-align:left">Tagged Version</th>
  <th style="text-align:left">Git Branch</th>
  <th style="text-align:left">In Rocky Git?</th>
  <th style="text-align:left">Rocky RPM Published?</th>
  <th style="text-align:left">Rocky RPM Build Time</th>
</tr>
</thead>
<tbody>
@@TABLE_DATA@@
</tbody>
</table>


	
<script type="text/javascript">
  // Simple datatables table with some default settings, ordered by date descending
  $(document).ready(function() {
    $('#RockyData').DataTable( {
        "paging":   true,
        "ordering": true,
        "info":     true,
        "order": [[ 0, "desc" ]],
        "lengthMenu": [ [100, 200, 500, -1], [100, 200, 500, "All"] ],
        
        // Color the "imported into Rocky" data cells red if we haven't imported yet:
        "createdRow": function( row, data, index ) {
          if( data[4] == 'Yes' ) {
            $(row).find('td:eq(4)').css('color', 'green');
          }
      	  else {
	          $(row).find('td:eq(4)').css('color', 'red');
	        }

          if( data[5] == 'Yes' ) {
            $(row).find('td:eq(5)').css('color', 'green');
          }
      	  else {
	          $(row).find('td:eq(5)').css('color', 'red');
	        }
	      
      }
    } );
} );

</script>
</body>


<p><br /><br /><br />

<i>(Generated by the RockyIncoming Project.  Current codebase:  https://git.rockylinux.org/skip/rockyincoming )</i>

</html>



